//Ser
#define SER_BLOCK_SIZE          178
#define SER_FILEID_SIZE         14
#define SER_LUID_SIZE           4
#define SER_COLORID_SIZE        4
#define SER_LITTLEENDIAN_SIZE   4
#define SER_WIDTH_SIZE          4
#define SER_HEIGHT_SIZE         4
#define SER_PIXELDPTH_SIZE      4
#define SER_FRAMES_SIZE         4
#define SER_OBSERVER_SIZE       40
#define SER_INSTRUMENT_SIZE     40
#define SER_TELESCOPE_SIZE      40
#define SER_DATETIME_SIZE       8
#define SER_DATETIMEUTC_SIZE    8
#define SER_FRAMES_OFFSET       38
#define SER_DATETIME_OFFSET     162
#define SER_DATETIMEUTC_OFFSET  170

int InitSer(int bpp, int width, int height, char *fname);
int WriteSERHeader(char *wfname);
int WriteSERImage(unsigned char *BinImage, int BinSize, int bpp);
int CloseSER();
